*! version 1.0
* 22 April 2022
* CVACS 
* Merging CVACS and derived dataset to create a cross-sectional dataset.

*===========================================================================================================================================
* GLOBALS FOR DATA FILES AND VERSION SUFFIXES

global DataIN "C:\Users\User\Desktop\Data"
global DataOUT "C:\Users\User\Desktop\Data"

global VersionIN "S2_Anon_V1.0.0"									// Wave and version of the data being used.
global VersionOUT "S2_merged"

version 15.1														// version of Stata being used.

*===========================================================================================================================================

* OPENING THE CVACS DATA

use "$DataIN\Unvaccinated_CVACS_$VersionIN.dta", clear				// opening the Unvaccinated dataset
ren s2_u_* s2_*
tempfile unvaxed
save "`unvaxed'", replace

use "$DataIN\Vaccinated_CVACS_$VersionIN.dta", clear				// opening the Unvaccinated dataset
ren s2_v_* s2_*
append using "`unvaxed'"
	
merge 1:1 pid using "$DataIN\derived_CVACS_$VersionIN.dta"			// merging in the derived dataset

drop _m

save "$DataOUT\CVACS_S2_Crosssection_$VersionOUT.dta", replace				// saving out the resulting dataset in the defined path, as per globals

*-------------------------------------------------------------------------------------------------------------------------------------------

*THE END
